<?php
/**
 * Plugin Name:       Product Description on Shop & Archive Pages for WooCommerce
 * Plugin URI:        https://hulkplugins.com/product/product-description-in-loop-for-woocommerce
 * Description:       Show product description on shop, category and other archive pages.
 * Author:            HulkPlugins
 * Author URI:        https://hulkplugins.com
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       product-description-in-loop-for-woocommerce
 * Domain Path:       /languages
 * Version:           1.0.0
 * Requires PHP:      7.4
 * Requires at least: 6.2
 * Requires Plugins:  woocommerce
 *
 * @package         HulkPlugins\Woo\ProductDescriptionInLoop
 */

namespace HulkPlugins\Woo\ProductDescriptionInLoop;

use HulkPlugins\Woo\ProductDescriptionInLoop\Admin\Controllers\PluginController;
use HulkPlugins\Woo\ProductDescriptionInLoop\Admin\Controllers\ProductLoopDescMetaBoxController;
use HulkPlugins\Woo\ProductDescriptionInLoop\Admin\Controllers\SettingsController;
use HulkPlugins\Woo\ProductDescriptionInLoop\Frontend\Controllers\ArchivePagesController;

defined( 'ABSPATH' ) || exit;

if ( function_exists( 'HulkPlugins\Woo\ProductDescriptionInLoop\hulk_woo_pdil_fs' ) ) {
	hulk_woo_pdil_fs()->set_basename( false, __FILE__ );
} else {
	// Composer autoload
	require_once plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';

	// Freemius
	require_once plugin_dir_path( __FILE__ ) . 'freemius.php';

	// Constants
	require_once plugin_dir_path( __FILE__ ) . 'constants.php';

	PluginController::getInstance()->init_hooks();
	SettingsController::getInstance()->init_hooks();
	ProductLoopDescMetaBoxController::getInstance()->init_hooks();
	ArchivePagesController::getInstance()->init_hooks();
}
